> For the complete documentation index, see [llms.txt](https://docs.bbscoin.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbscoin.org/development-integration/daemon-node-api.md).

# Daemon/Node API

- [Binary handlers](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers.md): Handlers that are Binary
- [getblocks.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/getblocks.bin.md)
- [queryblocks.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/queryblocks.bin.md)
- [queryblockslite.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/queryblockslite.bin.md)
- [get\_o\_indexes.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_o_indexes.bin.md): This method returns global outputs indexes of a transaction.
- [getrandom\_outs.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/getrandom_outs.bin.md)
- [get\_pool\_changes.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_pool_changes.bin.md): This method returns changes in pool containing unconfirmed transactions. Added transactions are returned as array of binary large objects (blobs)
- [get\_pool\_changes\_lite.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_pool_changes_lite.bin.md)
- [get\_blocks\_details\_by\_hashes.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_blocks_details_by_hashes.bin.md)
- [get\_blocks\_hashes\_by\_timestamps.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_blocks_hashes_by_timestamps.bin.md)
- [get\_transaction\_details\_by\_hashes.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_transaction_details_by_hashes.bin.md)
- [get\_transaction\_hashes\_by\_payment\_id.bin](https://docs.bbscoin.org/development-integration/daemon-node-api/binary-handlers/get_transaction_hashes_by_payment_id.bin.md)
- [JSON handlers](https://docs.bbscoin.org/development-integration/daemon-node-api/json-handlers.md)
- [getinfo](https://docs.bbscoin.org/development-integration/daemon-node-api/json-handlers/getinfo.md)
- [getheight](https://docs.bbscoin.org/development-integration/daemon-node-api/json-handlers/getheight.md)
- [gettransactions](https://docs.bbscoin.org/development-integration/daemon-node-api/json-handlers/gettransactions.md)
- [sendrawtransaction](https://docs.bbscoin.org/development-integration/daemon-node-api/json-handlers/sendrawtransaction.md)
- [stop\_daemon](https://docs.bbscoin.org/development-integration/daemon-node-api/json-handlers/stop_daemon.md): This method stops the daemon. Stopping the daemon is only allowed if the daemon is running on testnet.
- [JSON RPC request](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request.md)
- [f\_blocks\_list\_json](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/f_blocks_list_json.md)
- [f\_block\_json](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/f_block_json.md)
- [f\_transaction\_json](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/f_transaction_json.md)
- [f\_on\_transactions\_pool\_json](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/f_on_transactions_pool_json.md): This method returns all unconfirmed transactions.
- [getblockcount](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/getblockcount.md): This method returns the number of blocks in blockchain of the node daemon.
- [on\_getblockhash](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/on_getblockhash.md): This method expects an unnamed array containing single number and returns the block hash of block at that height.
- [getblocktemplate](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/getblocktemplate.md)
- [getcurrencyid](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/getcurrencyid.md)
- [submitblock](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/submitblock.md)
- [getlastblockheader](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/getlastblockheader.md): This method returns block header of most recent block.
- [getblockheaderbyhash](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/getblockheaderbyhash.md)
- [getblockheaderbyheight](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/getblockheaderbyheight.md)
- [get\_txs\_by\_height](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/get_txs_by_height.md)
- [get\_txs\_pool](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/get_txs_pool.md)
- [get\_random\_outs](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/get_random_outs.md)
- [get\_maximum\_tx\_allowed\_size](https://docs.bbscoin.org/development-integration/daemon-node-api/json-rpc-request/get_maximum_tx_allowed_size.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bbscoin.org/development-integration/daemon-node-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
